A few months ago, I engaged Darren Duke of Simplified Technology Solutions, to help me get my BES up and running and I have been hooked on my Blackberry every since. (Darren's a master at all things BES. I highly recommend him) Anyway, the ability to have everything in sync with Lotus Notes at all times is absolutely fantastic. At this year's Lotusphere, we will see RIM and IBM introduce even greater support for IBM Social apps (e.g. Connections and Quickr) on the BlackBerry. I'm told that with OS5 we will even see support for Symphony documents. Cool.

Unfortunately, as a productivity platform for messaging and task management, mobile devices leave much to be desired. As great as it is to receive email on my device, it's unproductive to process it on the device and then have to process it again when I return to my computer. David Allen has this same issue, too.

This weekend, David and I were talking about Lotus Notes and eProductivity and I gave him an overview of our roadmap for mobile and cloud computing. David shared a few thoughts about staying productive in the cloud, and he told me he wanted me to get eProductivity into the BlackBerry sooner than later.

I think David shares the sentiments of many mobile knowledge workers that want to get things done on the road. I know I look forward to the day when my productivity tools are available wherever I want to work, whether that is on my BlackBerry, at my desk, or in the cloud.

This is why I am pleased to have David collaborating with me to create such a solution. It's coming folks.

If you work with RIM and will be attending Lotusphere, I'd like to talk with you. Though much is under wraps, If you find me at Lotusphere I'll give you a quick overview.

Meanwhile, here's David's wish for a GTD Enabled Blackberry to use with IBM Lotus Notes:

Discussion/Comments (1):

Darren Duke (http://blog.darrenduke.net): 1/16/2010 9:10:25 PM
Wicked Cool - David Allen Wishing for a Gtd Enabled Blackberry to Use with Lotus Notes

Eric, thanks for the props ;)

For Symphony document support (and OpenOffice) you will need BES 5.0 SP1 as well. And it is TURNED OFF by default. See { Link } for how to enable them.



Discussion for this entry is now closed.